<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>
<head>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
	 <link rel="stylesheet" href="maracuja.css" type="text/css">
<title>Aide - Installation</title>
</head>
<style>
<!--


.alertNoteTitle, .noteTitleAlert  {
	border: 1px solid #AC0000;
	background-color: #AC0000;
	color: White;
	padding: 1pt 3pt 1pt 3pt;
}

.alertTitleContents, .noteContentsAlert {
	border: 1px solid #AC0000;
	background-color: #FFECEC;
	color: Black;
	padding: 2pt;
}

.note {
	font-size: 10px;
}

.minitoc {
	border-left: 2px solid #763000;
	border-top: 2px solid #763000;
	font-family: Arial, Helvetica, sans-serif;
	font-size: 8pt;
}

.minitocTitle {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	font-size: 8pt;
}

.versionTitle {
	font-weight: bold;
	background: #e2dacc;
	padding: 1px 2px 1px 2px;
}

.versionContents {
	padding: 1px 2px 1px 10px;
}

.code {
	background: #DDDDDD;
	font-family: "Courier New", Courier, monospace;
	font-size: 12px;
	padding: 3px;
}

.tableHeaderCell {
	background: #000066;
	color:#FFFFFF;
	font-weight: bold;
}

.tableContentCell {
	background-color:#E1DEEF;
	color:#000000;
}

.warning {
	background: #FF0000;
	font-family: Arial;
	color: #FFFFFF;
	font-size: 14px;
	font-weight: bold;
	padding: 3px;
}


.header {
	background: #f6f4ee;
	font-weight: bold;
}

.box {
	border: 1px solid #e2dacc;
	background: #f6f4ee;
}

.boxContents {
	background-color: #F9F5EF;
	background: #F9F5EF;
}

.boxTitle {
	background-color: #d1c2ad;
	background: #d1c2ad;
}

.listboxLine, .listboxLineEven {
	background-color: #FEFBF8;
	background: #FEFBF8;
}

.listboxLineOdd {
	background-color: #F8FEF8;
	background: #F8FEF8;
}	
-->	
</style>
<body BGCOLOR="#ffffff" LINK="#000099">
	<h1>Maracuja - Installation</h1>	
	<p><i>Version du 05/01/2005<br>
		CRI - Université de La Rochelle
            <br>
            rodolphe.prin@univ-lr.fr</i></p>
	<hr>
	<p><i>Les paragraphes 1 à 5 sont destinés aux informaticiens chargés d'installer l'application Maracuja (Comptabilité 2005).<br>
		Le paragraphe 5 est également destiné aux comptables.</i></p>	
	
	<h2>1. Installation de la base de données (user MARACUJA)</h2>	
	
	<p>Vous devez disposer d'un serveur Oracle 8i ou +</p>
	<p>Importez le user fourni dans le package d'installation</p>
	<p>Affectez les droits nécessaires </p>
	
<table width="80%" class="code">
  <tr><td>	
    <p>--remplacez "password" par les vrais mots de passe<br>
  --<br>
  connect grhum/password;<br>
  grant select any table to MARACUJA;<br>
  <br>
  connect jefy/password;<br>
  grant select any table to MARACUJA;<br>
  grant insert any table to MARACUJA;<br>
  grant update any table to MARACUJA;</p>
    <p>connect jefy05/password;<br>
grant select any table to MARACUJA;<br>
grant insert any table to MARACUJA;<br>
grant update any table to MARACUJA;</p>
    <p><br>
        connect marches/password;<br>
        grant select any table to MARACUJA;<br>
        <br>
        connect missions_new/password;<br>
      grant select any table to MARACUJA; </p>
    <p>connect convention/password;<br>
grant select any table to MARACUJA; </p>
    <p>connect papaye/password;<br>
grant select any table to MARACUJA; </p>
    <p></p>
    <p><br>
      </p></td></tr></table>	
	<p>&nbsp;</p>
	
	
<h2>2. Vérifications et corrections des users Oracle GRHUM et JEFY</h2>
	
<p>La gestion des utilisateurs de l'application Compta de Jefyco utilisée en 2004 s'appuyait sur la table Agent, tandis que la gestion des utilisateurs de Maracuja s'appuie sur GRHUM. </p>
<p>Pour pouvoir utiliser Maracuja, un individu doit d'abord être défini dans GRHUM via l'annuaire et posséder un compte (login/mot de passe). Ensuite vous pouvez l'autoriser à utiliser l'application directement dans la gestion des utilisateurs de Maracuja. Il est donc primordial d'avoir des données à jour dans GRHUM.</p>
<p>La table AGENT de Jefy est conservé pour gérer les accès de l'application Jefyco (coté ordonnateur). Actuellement les liens entre cette table et les tables de GRHUM ne sont pas forcément valides. Il faut les corriger pour les futurs utilisateurs de Maracuja si vous voulez bénéficier de la procédure de récupération des paramètres.</p>

<p>La procédure de récupération des paramètres va balayer la table JEFY.AGENT 
	et créer automatiquement des utilisateurs dans Maracuja, ceci s'effectuera correctement si <b>et seulement si les conditions suivantes sont respectées :</b> 
</p>
	<ul>
		<li>le champ AGENT.NO_INDIVIDU est à jour (il correspond bien aux bonnes valeurs du champ GRHUM.INDIVIDU_ULR.NO_INDIVIDU)</li>
		<li>Le champ GRHUM.INDIVIDU_ULR.PERS_ID correspond bien au bon enregistrement de la table GRHUM.PERSONNE</li>
		<li>Il esxiste un enregistrement dans GRHUM.COMPTE et GRHUM.REPART_COMPTE qui référence la personne</li>
	</ul>
<h4>Si vous voulez cr&eacute;er/modifier les mots de passe des utilisateurs (s'ils ne sont pas &agrave; jour dans la base).</h4>
<p>Les mots de passe sont stock&eacute;s dans la table GRHUM.COMPTE. Ils peuvent &ecirc;tre stock&eacute;s crypt&eacute;s (via la fonction Unix crypt.c), ou en clair. Si vous voulez les crypter, utilisez un shell qui permet ce cryptage et mettez &agrave; jour la table Compte.</p>
<p>&nbsp;</p>
<p>Il est primordial de vérifier si les informations sont cohérentes avant d'effectuer la procédure d'import car certaines installations de Jefyco/grhum présentes des erreurs à ce niveau là. Le risque principal est que les enregistrements de JEFY.AGENT référencent des GRHUM.INDIVIDU_ULR qui ne correspondent pas à la bonne personne. Si vous importez ces valeurs certains utilisateurs pourraient être créés alors qu'en théorie ils ne devraient pas l'être.</p>
<table class="warning" width="80%">
  <tr><td align="center">
Ce travail est à réaliser avant le lancement de la procédure de récupération des paramètres	
	
</td></tr></table>

<p>Les requetes qui suivent doivent vous aider à détecter les incohérences, par contre elles ne peuvent pas les corriger</p>

<h4>Requete pour vérifier quels sont les agents qui seront récupérés</h4>
<table width="80%" class="code">
  <tr><td>
-- Agents recuperes<br>
select a.agt_ordre, a.agt_nom, a.agt_prenom, a.agt_login, <br>
u.nom_usuel, u.no_individu<br>
from jefy.agent a, grhum.individu_ulr u<br>
where a.no_individu=u.no_individu<br>
and agt_compta>=1<br>
order by agt_nom
</td></tr></table>

<h4>Requete pour connaitre les individus possédant un compte valide parmi les agents récupérés</h4>
<table width="80%" class="code">
  <tr><td>
-- Agents recuperes avec un compte valide défini sur GRHUM <br>
select a.agt_ordre, a.agt_nom, a.agt_prenom, a.agt_login,<br>
u.nom_usuel, u.no_individu, c.CPT_LOGIN, c.CPT_EMAIL, c.cpt_vlan, v.date_fin<br>
from jefy.agent a, grhum.individu_ulr u, grhum.personne p, grhum.repart_compte r, grhum.compte c, grhum.compte_validite v<br>
where a.no_individu=u.no_individu<br>
and u.pers_id=p.pers_id<br>
and p.pers_id=r.pers_id<br>
and r.cpt_ordre=c.cpt_ordre<br>
and c.cpt_ordre = v.cpt_ordre (+)<br>
and c.cpt_vlan = (select C_VLAN from (select c_vlan, priorite from grhum.vlans order by priorite) where rownum=1)<br>
and agt_compta>=1<br>
and v.date_fin is null<br>
order by agt_nom	<br>
</td></tr></table>

<h4>Requete a effectuer pour connaitre les agents qui ont un compte valide mais qui ne sont pas correctement rattachés à un individu</h4>
<p><i>Cette requête est pertinente si les login de la table agent sont les mêmes que les login de la table compte</i></p>

<table width="80%" class="code">
  <tr><td>
-- Liste des agents qui ne seront pas correctement recuperes (no_individu incohérents ou non définis dans la table agent)<br>
-- par contre les individus existent et ont un compte valide<br>
-- La jointure est effectuee via le login<br>
-- Si le resultat n'est pas vide, il faut vraissemblablement corriger le problème en mettant à jour le champ agent.no_individu <br>
-- par les valeurs correspondantes de individu_ulr.no_individu<br>
select a.agt_ordre, a.agt_nom, a.agt_prenom, a.agt_login,<br>
u.nom_usuel, a.no_individu as jefy_no_individu, u.no_individu as grhum_no_individu, c.CPT_LOGIN, c.CPT_EMAIL, c.cpt_vlan, v.date_fin<br>
from jefy.agent a, grhum.individu_ulr u, grhum.personne p, grhum.repart_compte r, grhum.compte c, grhum.compte_validite v<br>
where upper(a.agt_login) = upper(c.cpt_login)<br>
and u.pers_id=p.pers_id<br>
and p.pers_id=r.pers_id<br>
and r.cpt_ordre=c.cpt_ordre<br>
and c.cpt_ordre = v.cpt_ordre (+)<br>
and c.cpt_vlan = (select C_VLAN from (select c_vlan, priorite from grhum.vlans order by priorite) where rownum=1)<br>
and agt_compta>=1<br>
and (a.no_individu<>u.no_individu or a.no_individu is null)<br>
and v.date_fin is null<br>
order by agt_nom<br>
</td></tr></table>
<p>&nbsp;</p>
<p>&nbsp;</p>




<h2>3. Récupération des paramètres</h2>
<p>Exécutez la procédure <strong>recup_parametres2</strong> dans le user MARACUJA (comme parametre, indiquer le code gestion de l'agence commptable, normalement '900').</p>

<p>Une fois l'ex&eacute;cution de la proc&eacute;dure termin&eacute;e, v&eacute;rifiez que vous avez bien des donn&eacute;es dans les tables suivantes :</p>
<ul>
  <li>COMPTABILITE</li>
  <li>DOMAINE</li>
  <li>EXERCICE</li>
  <li>FONCTION</li>
  <li>GESTION : Si un SACD &eacute;tait d&eacute;fini dans Jefyco,il a du &ecirc;tre r&eacute;cup&eacute;r&eacute; ici. V&eacute;rifiez si le compte PCO_NUM_185 est rempli , v&eacute;rifiez &eacute;galement que le compte en question existe dans la table PLAN_COMPTABLE.</li>
  <li>GESTION_EXERCICE</li>
  <li>MODE_PAIEMENT</li>
  <li>MODE_RECOUVREMENT</li>
  <li>NUMEROTATION</li>
  <li>PARAMETRE</li>
  <li>PLAN_COMPTABLE</li>
  <li>PLANCO_CREDIT </li>
  <li>PLANCO_VISA</li>
  <li>UTILISATEUR</li>
  <li>TYPE_BORDEREAU</li>
  <li>TYPE_CREDIT</li>
  <li>TYPE_EMARGEMENT</li>
  <li>TYPE_JOURNAL</li>
  <li>TYPE_NUMEROTATION</li>
  <li>TYPE_OPERATION</li>
  <li>TYPE_ORIGINE_BORDEREAU</li>
  <li>TYPE_VIREMENT</li>
</ul>
<p>S'il certaines tables sont vides, il y a certainement eu un probl&egrave;me, qu'il va falloir r&eacute;gler avant d'aller plus loin... </p>
<p><strong>Mettre &agrave; jour l'exercice dans MARACUJA.EXERCICE pour rendre l'exercice 2005 ouvert et 2004 clos:</strong></p>
<table width="80%" class="code">
  <tr>
    <td>
      <p>UPDATE EXERCICE SET EXE_STAT='O', exe_type='T' where exe_exercice=2005;</p>
      <p>UPDATE EXERCICE SET EXE_STAT='C', exe_type='C' where exe_exercice=2004;<br>
    </p>    </td>
  </tr>
</table>
<p>&nbsp;  </p>
<h4>Autorisations</h4>
	<p>Le système de droits de Maracuja est basé sur les <b>fonctions</b>, les <b>codes gestions</b> et l'<b>exercice</b> via les tables AUTORISATION et AUTORISATION_GESTION :</p>
	<p>La table fonction stocke les différentes fonctions de l'application. Pour chaque utilisateur, on peut définir à quel fonctions il aura accès, pour un exercice ou bien indépendamment d'un exercice. Certaines fonctions sont liées à un code gestion, pour celles-ci il faut indiquer sur quels codes gestions l'utilisateur est autorisé à utiliser la fonction. La fonction Administration/Gestion des utilisateurs dans l'application permet de faire cela. </p>
	<p>Une fois les utilisateurs récupérés dans la table UTILISATEUR, il faut en choisir un auquel affecter les droits de gestion des utilisateurs, pour que ce dernier saisisse les droits des autres utilisateurs.</p>
<p>Pour cela, connectez-vous à l'application en utilisant le mot de passe administrateur que vous pouvez définir dans le fichier de configuration de l'application (parametre <strong>PASS_ADMIN</strong>). Ce mot de passe vous permet d'effectuer différentes taches d'admnistration, notamment la gestion des utilisateurs. Affectez les droits de gestion des utilisateurs à un ou plusieurs utilisateurs et déconnectez-vous. <br>
Ces utilisateurs pourront ensuite compléter le travail d'affectation des droits aux utilisateurs.</p>

<p>&nbsp;</p>


<p>&nbsp;</p>


<h2>4. Installation de l'application</h2>
<p>Il s'agit d'une application WebObject 5.2 JavaClient, installez le fichier .woa via le moniteur WebObjects.</p>

<p>Les frameworks nécessaires sont</p>
<ul>
	<li>CRIWebApp2 - <a href="http://www.univ-lr.fr/apps/support/common/index.html" target="_blank">T&eacute;l&eacute;chargement ici</a> </li>
	<li>CRIWebExt2 -  <a href="http://www.univ-lr.fr/apps/support/common/index.html" target="_blank">T&eacute;l&eacute;chargement ici</a> </li>
</ul>

<p>Vous avez la possibilit&eacute; d'utiliser SAUT (ou ServAut) pour g&eacute;rer les connexions &agrave; la base de donn&eacute;es et/ou l'identification des utilisateurs. <a href="http://www.univ-lr.fr/apps/support/servaut/index.html" target="_blank">Cliquez ici pour avoir plus d'infos sur SAUT/ServAut</a>. </p>
<h4>Installation du serveur et des clients </h4>
<p>Pour plus de renseignements concernant le déploiement des applications WebObjects 5.2, </p>
<ul>
  <li><a target="_blank" href="http://www.univ-lr.fr/cgi-bin/WebObjects/Webgenie.woa/wa/page?logoonly=false&titleframe=false&homelink=false&goaccueil=true&goinleaf=false&infoframe=false&showMode=true&modeExpert=false&menuPlus=false&type=184;1033">consultez la partie deploiement du site Cocktail</a></li>
  <li><a href="http://www.univ-lr.fr/cgi-bin/WebObjects/Webgenie.woa/wa/page?logoonly=false&titleframe=false&homelink=false&goaccueil=true&goinleaf=false&infoframe=false&showMode=true&modeExpert=false&menuPlus=false&type=184;1033;1451" target="_blank">et la partie sp&eacute;cifique aux applications JavaClient 5.2</a>  </li>
</ul>
<p>Remarque : Maracuja fonctionne avec une JVM 1.4 (non test&eacute; au 11/12/04 en 1.5).     </p>
<h4>Paramétrages</h4>
<p>Maracuja doit &ecirc;tre param&eacute;tr&eacute; &agrave; plusieurs endroits : </p>
<ul>
  <li>Le fichier conf.config (situ&eacute; dans Maracuja.woa/contents/Resources/). Les param&egrave;tres d&eacute;finis &eacute;crasent les param&egrave;tres de la table GRHUM.PARAMETRES . </li>
  <li>La table MARACUJA.PARAMETRES . Les param&egrave;tres d&eacute;finis ici sont propres &agrave; Maracuja et doivent &ecirc;tre d&eacute;finis pour chaque exercice.    </li>
</ul>
<h5>Le fichier conf.config</h5>
<table width="80%"  border="0" cellspacing="2" cellpadding="5">
  <tr class="tableHeaderCell">
    <td>Nom du param&egrave;tre </td>
    <td><div align="center">Facultatif</div></td>
    <td>Valeurs possibles </td>
    <td>Description</td>
  </tr>
  <tr class="tableContentCell">
    <td>APP_ALIAS</td>
    <td><div align="center">Non * </div></td>
    <td>MARACUJA</td>
    <td>Identifiant de l'application pour le dialogue avec le serveur SAUT </td>
  </tr>
  <tr class="tableContentCell">
    <td>APP_ID</td>
    <td><div align="center">Non*</div></td>
    <td>L'identifiant de connexion vers le user MARACUJA </td>
    <td>Il s'agit de l'identifiant de connexion qui pointe vers le user de basee de donn&eacute;es MARACUJA, que vous d&eacute;finissez dans l'interface d'administration de Saut. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SAUT_ID_TRANSLATION</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td><p>Une liste de paires s&eacute;par&eacute;e par des virgules qui permet de red&eacute;finir les connexions SAUT utilis&eacute;es. Les valeurs contenues dans les paires doivent &ecirc;tre des identifiants d&eacute;finis dans l'interface d'administratin de Saut.  </p>
    <p>Par exemple <em>ULOGIN:GRHUMTEST,MARACUJA:MARACUJATEST</em>indique d'utiliser la connexion GRHUMTEST &agrave; la place de la connexion ULOGIN et la connexion MARACUJATEST &agrave; la place de la connexion MARACUJA. </p></td>
  </tr>
  <tr class="tableContentCell">
    <td>SAUT_URL</td>
    <td><div align="center">Non*</div></td>
    <td>L'url d'acc&egrave;s &agrave; votre  service SAUT </td>
    <td>Par exemple http://www.universite.fr/cgi-bin/WebObjects/SAUT.woa/wa/</td>
  </tr>
  <tr class="tableContentCell">
    <td>&nbsp;</td>
    <td><div align="center"></div></td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr class="tableContentCell">
    <td>LCL_USER_AUT_MODE</td>
    <td><div align="center">Non</div></td>
    <td>SAUT ou SQL ou LOGIN</td>
    <td><p>Méthode d'identification des utilisateurs de Maracuja (v&eacute;rification login/mot de passe) : <br>
        - SAUT : via le service SAUT (voir la documentation de SAUT pour plus de details)<br>
        - SQL : via une requ&ecirc;te SQL
sur la table GRHUM.COMPTE<br> 
- LOGIN : Aucun login/mot de passe n'est demand&eacute; &agrave; l'utilisateur Cette m&eacute;thode est fortement d&eacute;conseill&eacute;, car l'authentification s'effectue &agrave; partir du login de la session du Syst&egrave;me d'exploitation d&eacute;tect&eacute; par l'application, et aucun test de mot de passe n'est effectu&eacute;.</p>    </td>
  </tr>
  <tr class="tableContentCell">
    <td>DEFAULT_NS_TIMEZONE</td>
    <td><div align="center">Non</div></td>
    <td>GMT</td>
    <td>Le timezone à utiliser (l'appli fera les conversion en lecture/écriture à partir de/vers la BD). pour avoir les memes valeurs en affichage que dans la BD, spécifier &quot;GMT&quot;. Il est souhaitable de laisser GMT, dans la mesure ou une m&ecirc;me instance de l'application ne devrait pas &ecirc;tre utilis&eacute;e par des utilisateurs situ&eacute;s sur des fuseaux horaires diff&eacute;rents. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SEND_MAIL_TO_ADMIN_AT_STARTUP</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0</td>
    <td>Indique à l'application d'envoyer un mail à l'administrateur à chaque démarrage de l'application (0/1)</td>
  </tr>
  <tr class="tableContentCell">
    <td>ADMIN_MAIL</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td>Adresse email de l'administrateur de l'application</td>
  </tr>
  <tr class="tableContentCell">
    <td>ZTEST_MODE</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Indique si on est en mode de test (1/0) (active la redirection des emails, voir ZEMAIL_FOR_TEST)</td>
  </tr>
  <tr class="tableContentCell">
    <td>ZEMAIL_FOR_TEST</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td>Adresse email à utiliser lorsqu'on est en test (tous les mails g&eacute;n&eacute;r&eacute;s par l'application seront dirig&eacute;s vers cette adresse pour &eacute;viter les pollutions).   </td>
  </tr>
  <tr class="tableContentCell">
    <td>PASS_ADMIN</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td>Mot de passe permettant de se connecter a l'application (pour les taches d'administration). <br>
      Ce mot de passe est utile notamment pour paramétrer les droits utilisateurs.<br>
      Il est souhaitable pour des raison de securite de vider lorsque les taches d'administration sont termin&eacute;es.<br>
    le mot de passe doit être en clair.</td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWINITLOG</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Afficher le r&eacute;sultat de ld'initialisation dans le log de l'application. Permet de savoir si l'initialisation s'est bien pass&eacute;e.</td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWTRACE</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Afficher des traces de debogage dans le log de l'application. Conseill&eacute; tant que l'application n'est pas stabilis&eacute;e ou pour trouver l'origine d'un bug. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWSQLLOGS</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Affiche toutes les requ&ecirc;tes SQL effectu&eacute;es par l'application.  Conseill&eacute; tant que l'application n'est pas stabilis&eacute;e ou pour trouver l'origine d'un bug, mais ca surcharge beaucoup le fichier de Log et ca affecte les performances du serveur. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWUSERNAMEINLOG</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Permet d'afficher dans le log de l'application le login de l'utilisateur qui a d&eacute;clench&eacute; un trace de debogage. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWIPADDRESSINLOG</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Permet d'afficher dans le log de l'application l'adresse IP de l'utilisateur qui a d&eacute;clench&eacute; un trace de debogage. </td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWBDCONNEXIONSERVER</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Affiche le nom du serveur de la base de données (par exemple toto.univ-lr.fr). </td>
  </tr>
  <tr class="tableContentCell">
    <td>SHOWBDCONNEXIONSERVERID</td>
    <td><div align="center">Non</div></td>
    <td>1 ou 0 </td>
    <td>Affiche le nom de l'instance de la base de donn&eacute;es </td>
  </tr>
  <tr class="tableContentCell">
    <td>ROOT_URL_FOR_HELP</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td>Définit l'url racine pour l'aide (du type http://www.toto.com/help/) (non utilis&eacute;) </td>
  </tr>
  <tr class="tableContentCell">
    <td>REPORTS_LOCATION</td>
    <td><div align="center">Oui</div></td>
    <td>Le chemin d'un dossier situ&eacute; sur le serveur de d&eacute;ploiement  </td>
    <td>Permet de specifier un repertoire ou se trouve les fichiers de report. Si vide, utilisation des reports par defaut (situes dans /contents/Resources/)</td>
  </tr>
  <tr class="tableContentCell">
    <td>DISPLAY_MESSAGE_CLIENTS</td>
    <td>Oui</td>
    <td>&nbsp;</td>
    <td><p>Message qui s'affiche sur l'&eacute;cran d'accueil de l'application client. Il est possible de sp&eacute;cifier un message en html, par exemple : </p>
    <p>&lt;html&gt;&lt;table bgcolor=&quot;#FF0000&quot; width=&quot;450&quot;&gt;&lt;tr&gt;&lt;td&gt;&lt;font color=&quot;#FFFFFF&quot;&gt;&lt;b&gt;Cette version est une pré-version de Test. Reportez les bugs svp...&lt;/b&gt;&lt;/font&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;&lt;/html&gt;</p></td>
  </tr>
</table>
<p>* Facultatif si vous n'utilisez pas SAUT (dans ce cas vous devez d&eacute;finir le dictionnaire de connection vers la base de donn&eacute;es dans les mod&egrave;les WebObjects - celui de Maracuja et celui de CRIWebExt). </p>
<p>&nbsp;   </p>
<h5>La table MARACUJA.PARAMETRES </h5>
<p>Cette table est pr&eacute;-remplie par la proc&eacute;dure de r&eacute;cup&eacute;ration des param&egrave;tres en transf&eacute;rant  tous les param&egrave;tres d&eacute;finis dans JEFY.PARAMETRES. Certains autres param&egrave;tres sont ins&eacute;r&eacute;s directement par la proc&eacute;dure, notamment:</p>
<table width="80%"  border="0" cellpadding="5" cellspacing="2">
  <tr class="tableHeaderCell">
    <td>Nom du param&egrave;tre </td>
    <td><div align="center">Facultatif</div></td>
    <td>Valeurs possibles </td>
    <td>Description</td>
  </tr>
  <tr class="tableContentCell">
    <td>CONTRE PARTIE VISA</td>
    <td><div align="center">Non</div></td>
    <td>COMPOSANTE ou AGENCE</td>
    <td>Contre partie a l agence ou dans la composante</td>
  </tr>
  <tr class="tableContentCell">
    <td>FORMAT_USE_DECIMAL</td>
    <td><div align="center">Non</div></td>
    <td>OUI ou NON </td>
    <td>Indique s'il faut utiliser des decimales dans les affichages/saisies des montants. </td>
  </tr>
  <tr class="tableContentCell">
    <td>DEVISE_SYMBOLE</td>
    <td><div align="center">Non</div></td>
    <td>E</td>
    <td>Symbole de la devise en cours </td>
  </tr>
  <tr class="tableContentCell">
    <td>DEVISE_LIBELLE</td>
    <td><div align="center">Non</div></td>
    <td>euro</td>
    <td><p>Libelle devise en cours. Ce libell&eacute; sera utilis&eacute; dans certains cas pr&eacute;cis ou la devise doit &ecirc;tre indiqu&eacute;e (certaines &eacute;ditions).</p>
    </td>
  </tr>
  <tr class="tableContentCell">
    <td>TAU_CODE_DEFAUT</td>
    <td><div align="center">Non</div></td>
    <td>0</td>
    <td>Code du taux de TVA &agrave; utiliser par d&eacute;faut pour les ordres de paiement </td>
  </tr>
</table>
<p>&nbsp; </p>
<p>&nbsp;</p>





<h2>5. Les vérifications (à effectuer théoriquement par l'agent comptable)</h2>
<h3>Les utilisateurs</h3>
<p>Les utilisateurs de Jefy05 ont normalement été récupérés. Vous devez leur affecter des droits pour qu'ils puissent accéder aux différentes fonctions de l'application.</p>
<h3>Le plan comptable</h3>
<p>La procédure récupère les infos à partir de la table jefy05.planco et jefy05.planco_visa. 
	Des nouvelles informations liées au plan comptable doivent être paramétrées via l'interface. </p>

<h3>Les modes de paiements</h3>
<p>La procédure récupère les infos à partir de la table jefy05.modpay. 
	De nouvelles informations (plan comptable de visa et plan comptable de paiement). Pour effectuer ces modifications, vous pouvez passer par l'interface, mais vous devez &ecirc;tre le seul utilisateur connect&eacute; pour effectuer les modifications.  </p>
<p>&nbsp;</p>
<p>&nbsp;</p>


</body>
